Check whether a recipient is valid in multiple recipient lists
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/recipients
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
Query Parameters
- recipientListIdsinteger[]Description
- recipientIdstringrequiredDescription
- mediaTypestringDescriptionDefaultEMAILAllowedEMAILFAXSMSLETTERPUSHPRINT
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestRecipientValid[]
- validbooleanDescription
- recipientListIdinteger<int64>DescriptionFormatint64
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
- validationFailedReasonstring<blacklisted | bounced | unsubscribed | not_found>DescriptionAllowedblacklistedbouncedunsubscribednot_found
400
curl
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientId=string&mediaType=EMAIL' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientId=string&mediaType=EMAIL", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientId=string&mediaType=EMAIL")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/recipients?recipientId=string&mediaType=EMAIL"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The recipient's validation result was retrieved successfully.
[
{
"valid": false,
"recipientListId": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
],
"validationFailedReason": ""
}
]400
// The required parameter 'recipientId' is not provided.